Generate a card statement using Stripe IDs
curl --request POST \
--url https://api.bridge.xyz/v0/cardholders/{cardholderID}/cards/{cardID}/statements/{period}.pdf \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/cardholders/{cardholderID}/cards/{cardID}/statements/{period}.pdf"
headers = {"Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/cardholders/{cardholderID}/cards/{cardID}/statements/{period}.pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Cards
Generate a card statement using Stripe IDs
Generate a card account statement for the specified period, using Stripe cardholder and card IDs instead of Bridge internal IDs
POST
/
cardholders
/
{cardholderID}
/
cards
/
{cardID}
/
statements
/
{period}
.pdf
Generate a card statement using Stripe IDs
Authorizations
Path Parameters
The Stripe cardholder ID (e.g. ich_...)
The Stripe card ID (e.g. ic_...)
A string in the YYYYMM format representing a card statement period
Response
The HTTP response that includes a PDF file as an attachment, with the Content-Type set to application/pdf and the Content-Disposition header configured to indicate it is a statement PDF attachment
The response is of type file.
Was this page helpful?